Is there any way to run jdk1.5 on amd64 -current?

Greg Lewis glewis at eyesbeyond.com
Mon May 7 16:03:30 UTC 2007


On Fri, Apr 27, 2007 at 10:41:51AM +0900, User ken wrote:
>   I tried to compile jdk1.5 on amd64 -current, but had core dumps during compiletion.  It looks like a problem with linux-sun-jdk1.4.
> 
>   Any suggestions to run jdk1.5 on amd64 -current are very appreciated.

Indeed, the Linux JDK has been coredumping for a while which makes
bootstrapping a real pain.

I believe you should be able to bootstrap with the Diablo JDK if you set
up some appropriate libmap.conf entries to make it work on -current.

-- 
Greg Lewis                          Email   : glewis at eyesbeyond.com
Eyes Beyond                         Web     : http://www.eyesbeyond.com
Information Technology              FreeBSD : glewis at FreeBSD.org


More information about the freebsd-java mailing list